%define rolename cloudalchemy.grafana
%define version 0.17.0

Name: ansible-role-%{rolename}
Summary: Ansible Role for Grafana by CloudAlchemy
Version: %{version}
Release: 1emp1
Group: Development/Libraries
License: MIT
Source: https://github.com/cloudalchemy/ansible-grafana/archive/%{version}.tar.gz#/ansible-grafana-%{version}.tar.gz
URL: https://github.com/cloudalchemy/ansible-grafana
BuildArch: noarch
AutoReq: no # prohibit false positives in files or templates

%description
Provision and manage grafana - platform for analytics and monitoring.

%prep
%setup -q -n ansible-grafana-%{version}

%build

%install
mkdir -p "%{buildroot}%{_datadir}/ansible/roles/%{rolename}" \
    "%{buildroot}%{_pkgdocdir}/%{rolename}"
cp -pR . "%{buildroot}%{_datadir}/ansible/roles/%{rolename}"

mv LICENSE README.md \
    %{buildroot}%{_pkgdocdir}/.

%files
%dir %{_datadir}/ansible
%dir %{_datadir}/ansible/roles
%{_datadir}/ansible/roles/%{rolename}
%license %{_pkgdocdir}/LICENSE
%doc %{_pkgdocdir}/README.md
